Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 304391 - Review Request: pidgin-gfire - xFire protocol plug-in for Pidgin
Summary: Review Request: pidgin-gfire - xFire protocol plug-in for Pidgin
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-09-25 02:50 UTC by Brendan Ross
Modified: 2008-01-15 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-30 20:16:36 UTC


Attachments (Terms of Use)

Description Brendan Ross 2007-09-25 02:50:38 UTC
Spec URL: http://www.diffingo.com/lindox/pidgin-gfire.spec
SRPM URL: http://www.diffingo.com/lindox/pidgin-gfire-0.6.1-0.1.20070831svn.fc7.src.rpm
Description: this is a plug-in under development which allows Pidgin to connect to the popular xFire network (www.xfire.com). (This is my first package)

Comment 1 Xavier Bachelot 2007-10-20 23:47:22 UTC
- package name follows guidelines : OK
- spec file name follows guidelines : OK
- Release: follows guidelines for a pre-release : OK 
- Summary: ends with a dot and is probably too long : NOK
  suggestion : Summary: Pidgin plugin for xfire network
- Source URL is good and tarball match upstream : OK
- License: is correct, is allowed in Fedora and match sources : OK
- Text of license is packaged : OK
- BuildRoot: is correct : OK
- Typos in Description : s/incrimenting/incrementing/
  This package not supported by the official Xfire team : missing 'is' and
missing period.
- Static libs are removed : OK
- Macros are used consistently : OK
- Don't package INSTALL file, it's empty : NOK
- Don't package NEWS file, it's mostly empty and point to CHANGELOG
- BuildRequires: and Requires: are correct : OK
- Spec file is legible : OK 
- Builds fine on i386 : OK
- Rpmlint output will be clean once you've removed the empty INSTALL file and
fixed the Summary:

This is not a fully valid review, as I'm also looking for a sponsor, but I hope
it helps.

Comment 2 Brendan Ross 2007-10-30 20:16:36 UTC
I asked about packaging in #fedora-devel. If anybody else wants to package this,
be my guest. I won't comment on why I won't package things.

cya,
B.


Note You need to log in before you can comment on or make changes to this bug.